Skip to main content
GET
/
v1
/
agents
/
{agent_id}
/
scores
Get agent scores
curl --request GET \
  --url https://api.usezombie.com/v1/agents/{agent_id}/scores \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "score_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "score": 123,
      "axis_scores": "<string>",
      "weight_snapshot": "<string>",
      "scored_at": 123
    }
  ],
  "has_more": true,
  "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Obtain a token via the CLI auth flow (POST /v1/auth/sessions) or GitHub OAuth

Path Parameters

agent_id
string<uuid>
required

Agent identifier

Query Parameters

starting_after
string<uuid>

Cursor for keyset pagination. Pass the score_id of the last item on the previous page.

limit
integer
default:50

Maximum number of scores to return (default 50, max 100)

Required range: 1 <= x <= 100

Response

Agent scores

data
object[]
required
has_more
boolean
required

Whether more results exist beyond this page

request_id
string<uuid>
required
next_cursor
string | null

Cursor to pass as starting_after for the next page